Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158996 - CAN-2005-1751 shtool insecure temporary file creation
Summary: CAN-2005-1751 shtool insecure temporary file creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nmap
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard: impact=low,public=20050524,source=ven...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-27 15:25 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-10 13:09:09 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-27 15:25:02 UTC
+++ This bug was initially created as a clone of Bug #158995 +++

Race condition in shtool 2.0.1 and earlier allows local users to
create or modify arbitrary files via a symlink attack on the
.shtool.$$ temporary file.
http://www.zataz.net/adviso/shtool-05252005.txt

nmap contains shtool in its source.

Comment 1 Josh Bressers 2005-05-27 15:25:25 UTC
This issue should also affect FC4

Comment 2 Karsten Hopp 2006-05-10 13:09:09 UTC
I'll release nmap-4.03-0.fc4 and nmap-4.03-0.fc5 with a fix quite soon. As we
don't support FC-3 anymore and this is only a problem during build (which you
aren't supposed to do as root) and this is a codepath which isn't used at all
during our builds, I think this can be closed for good.
Please reopen if you disagree and FC-Legacy needs to push an update, too.



Note You need to log in before you can comment on or make changes to this bug.